Fibre Channel (SAN)

Reply
New Contributor
Posts: 2
Registered: ‎11-05-2015

Upgrade brocade 300 from FOS 6.2.0c to latest

We are running 2 brocade 300 switches (non-HA) and would like to know how do we upgrade the firmware.

 

Also do we need to upgrade the kernel and bootprom as well?

 

penbrfc1:root> version
Kernel:     2.6.14.2
Fabric OS:  v6.2.0c
Made on:    Mon Feb 23 19:36:58 2009
Flash:      Wed Mar 31 22:55:47 2010
BootProm:   1.0.6

 

If we upgrade the firmware, do we need to upgrade one version at a time and then reboot and follow by the next until we reach the latest? If brocade have latest 10 versions since 6.2.0c, will that mean we need to repeat 10 times of the upgrade steps ?

 

Are there any upgrade path from 6.2.0c to the latest which required us to have minimum reboot?

 

Which link I could get the documentation of the upgrade?

 

New Contributor
Posts: 2
Registered: ‎11-05-2015

Re: Upgrade brocade 300 from FOS 6.2.0c to latest

[ Edited ]

Could we do non-disruptive upgrade as below for brocade 300.

 

1) non-disruptive from 6.2.0c => 6.3.2e

2) non-disruptive from 6.3.2e ==> 6.4.3h
3) non-disruptive from 6.4.3h => 7.0.2e

4) non-disruptive from 7.0.2e => 7.1.2b
5) non-disruptive from 7.1.2b => 7.2.1f
6) non-disruptive from 7.2.1f => 7.3.1c

We need non-disruptive path for our upgrade.

 

Do you we need to apply new license after each stage of the upgrade or after the final version?

Thanks.

Valued Contributor
Posts: 554
Registered: ‎03-20-2011

Re: Upgrade brocade 300 from FOS 6.2.0c to latest

Your upgrade sequence looks good. Check it against a document called Brocade Fabric OS Target Path - I'm sure you'll easily google it in the net.

Upgrade procedure in general is described in Fabric OS Administrator Guide. Do a CLI based upgrade with firmwaredownload command - it is much more safe than anything else.

All the configuration and licenses stay intact while doing non disruptive upgrades. There could be some exceptions - they are found in the FOS version Release Notes, so you'll have to review the Release Notes documents for all the versions listed above. E.g. you might be required to disable something before upgrading to a certain version and then enabling it back.

Good luck!

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.

vADC is now Pulse Secure
Download FREE NVMe eBook